aimldocs
ReferenceApi

Legal

versioned documents, acceptance records and the published sub-processor list

GET
/v1/legal/documents
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/legal/documents"
{  "object": "list",  "data": [    {      "kind": "tos",      "version": "2026-09-10",      "title": "Terms of service",      "url": "/legal/terms",      "requires_acceptance": true,      "scope": "org",      "effective_at": "2026-09-10T00:00:00Z",      "accepted_at": "2026-09-10T09:00:00Z",      "accepted_by": "[email protected]",      "outstanding": false    },    {      "kind": "dpa",      "version": "2026-12-01",      "title": "Data processing agreement",      "url": "/legal/dpa",      "summary": "Sub-processor notice period extended to 30 days.",      "requires_acceptance": true,      "scope": "org",      "effective_at": "2026-12-01T00:00:00Z",      "outstanding": true,      "previous_version": "2026-09-10"    }  ]}
GET
/v1/legal/documents/{kind}
AuthorizationBearer <token>

In: header

Path Parameters

kind*string

Value in

  • "tos"
  • "dpa"
  • "privacy"
  • "aup"
  • "dpdp_notice"
  • "sccs"

Response Body

application/json

curl -X GET "https://example.com/v1/legal/documents/tos"
{  "kind": "dpa",  "version": "2026-12-01",  "title": "Data processing agreement",  "url": "/legal/dpa",  "requires_acceptance": true,  "scope": "org",  "effective_at": "2026-12-01T00:00:00Z",  "outstanding": true}
POST
/v1/legal/documents/{kind}/accept
AuthorizationBearer <token>

In: header

Path Parameters

kind*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/legal/documents/string/accept" \  -H "Content-Type: application/json" \  -d '{    "version": "2026-12-01",    "signer_name": "Priya Sharma",    "signer_title": "Director"  }'
{  "id": 12,  "org_id": "org_01J8Z3X4M5N6P7Q8R9S0T1U2V3",  "user_id": "usr_01J8Z3X4M5N6P7Q8R9S0T1U2V4",  "user_email": "[email protected]",  "kind": "dpa",  "version": "2026-12-01",  "accepted_at": "2026-09-10T12:00:00Z",  "ip": "203.0.113.9",  "method": "click_through",  "signer_name": "Priya Sharma",  "signer_title": "Director"}
GET
/v1/legal/acceptances
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/legal/acceptances"
{  "object": "list",  "data": [    {      "id": 12,      "org_id": "org_01J8Z3X4M5N6P7Q8R9S0T1U2V3",      "user_id": "usr_01J8Z3X4M5N6P7Q8R9S0T1U2V4",      "user_email": "[email protected]",      "kind": "tos",      "version": "2026-09-10",      "accepted_at": "2026-09-10T09:00:00Z",      "ip": "203.0.113.9",      "method": "click_through"    }  ]}
GET
/v1/legal/subprocessors
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/legal/subprocessors"
{  "version": 4,  "entries": [    {      "id": "anthropic",      "name": "Anthropic",      "category": "model_provider",      "purpose": "model inference for requests routed to it",      "trains": false,      "retention_days": 30,      "zdr": true,      "regions": [        "us"      ]    },    {      "id": "cloudflare",      "name": "Cloudflare, Inc.",      "category": "infrastructure",      "location": "global",      "purpose": "edge, DNS and object storage for payload archives and invoices"    }  ],  "published_at": "2026-08-01T00:00:00Z",  "effective_at": "2026-08-01T00:00:00Z",  "notice_days": 30,  "pending": {    "version": 5,    "published_at": "2026-09-09T00:00:00Z",    "effective_at": "2026-10-09T00:00:00Z",    "change": {      "added": [        {          "id": "voyage",          "name": "Voyage AI",          "category": "model_provider"        }      ],      "removed": [],      "changed": []    }  }}
GET
/v1/legal/dpdp-notice
AuthorizationBearer <token>

In: header

Response Body

text/markdown

application/json

curl -X GET "https://example.com/v1/legal/dpdp-notice"
"string"
GET
/v1/legal/ropa
AuthorizationBearer <token>

In: header

Response Body

text/markdown

application/json

curl -X GET "https://example.com/v1/legal/ropa"
"string"
GET
/v1/legal/scc
AuthorizationBearer <token>

In: header

Response Body

text/markdown

application/json

curl -X GET "https://example.com/v1/legal/scc"
"string"